package br.com.tecpoint.api;

import com.sun.jna.Structure;

//typedef struct _ImagesStruct
/**
 * ImagesStruct structure for freeImagesBuffer and freeSnippetBuffer
 * @author Cirilo Veloso
 * @version 1.00
 * @see freeImagesBuffer
 */
public class ImagesStruct extends Structure {

    public static class ByRef extends ImagesStruct implements Structure.ByReference {
    }

    public ImagesStruct() {
        setAlignType(ALIGN_MSVC);
    }
//	  DWORD DocNumber;
    public int DocNumber;
//	  CompressedImage *Images;
    public CompressedImage.ByRef Image;
//	  BOOL SnippetFront;
    public boolean SnippetFront;
}
